Skip to main content
`Ctrl`+`K`

# DMPlexTransformSetDimensions

Set the dimensions for the transformed `DM`

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformSetDimensions(DMPlexTransform tr, DM dm, DM trdm)

## Input Parameters

- tr - The `DMPlexTransform` object

- dm - The original `DM`

## Output Parameter

- trdm - The transformed `DM`

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexTransform`, `DMPlexTransformApply()`, `DMPlexTransformCreate()`

## Level

advanced

## Location

src/dm/impls/plex/transform/interface/plextransform.c

## Implementations

DMPlexTransformSetDimensions_Extrude() in src/dm/impls/plex/transform/impls/extrude/plextrextrude.c
DMPlexTransformSetDimensions_Internal() in src/dm/impls/plex/transform/interface/plextransform.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages